/* BEGIN: GLOBAL */

hr {
	margin: 0px;
}

#XojoContainer {
	position: absolute;
	top: 0px;
	bottom: 0px;
	left: 0px;
	right: 0px;
	overflow: hidden;
}

#XojoLoader {
	top: 100%;
	display: none;
}

#XojoDisconnect {
	top: 100%;
	display: none;
}

#XojoLoader, #XojoDisconnect {
	position: absolute;
	left: 0%;
	width: 100%;
	height: 100%;
	background-color: #CCCCCC;
	background-image: -webkit-gradient(linear, left top, left bottom, from(#FFFFFF), to(#CCCCCC));
	background-image: -moz-linear-gradient(center top, #FFFFFF 0%, #CCCCCC 100%);
	filter:progid:DXImageTransform.Microsoft.gradient(startColorstr='#ffffff', endColorstr='#cccccc');
	-webkit-transition: top 0.35s ease-out;
	-moz-transition: top 0.35s ease-out;
	transition: top 0.35s ease-out;
	-webkit-box-shadow: 0px 0px 8px rgba(0,0,0,0.5);
	-moz-box-shadow: 0px 0px 8px rgba(0,0,0,0.5);
	box-shadow: 0px 0px 8px rgba(0,0,0,0.5);
}

#XojoLoaderBar {
	position: absolute;
	top: 50%;
	left: 50%;
	margin-top: 76px;
	margin-left: -85px;
	width: 170px;
	height: 21px;
	background-image: url(/framework/loadprogress.png);
}

#XojoLoaderIcon {
	position: absolute;
	top: 50%;
	left: 50%;
	margin-top: -64px;
	margin-left: -64px;
	width: 128px;
	height: 128px;
	background-image: url(/framework/appicon128.png);
}

#XojoLoaderCaption {
	position: absolute;
	left: 0%;
	width: 100%;
	text-align: center;
	top: 50%;
	margin-top: -106px;
	height: 32px;
	font-size: 18pt;
	font-weight: bold;
	color: #7F7F7F;
	text-shadow: 0px 1px 0px #FFFFFF;
}

#XojoDisconnectIcon {
	position: absolute;
	top: 50%;
	left: 50%;
	margin-top: -67px;
	margin-left: -67px;
	width: 133px;
	height: 133px;
	background-image: url(/framework/pagestop.png);
}

#XojoDisconnectCaption {
	color: #7F7F7F;
	text-shadow: 0px 1px 0px #FFFFFF;
	text-align: center;
	position: absolute;
	left: 50%;
	width: 300px;
	margin-left: -150px;
	top: 50%;
	margin-top: 106px;
	bottom: 20px;
	font-size: 1.2em;
}

#XojoOverlay {
	position: absolute;
	top: 0px;
	left: 0px;
	width: 100%;
	height: 100%;
	overflow: hidden;
}

img,form {
    border: 0px;
    margin: 0px;
    padding: 0px;
}

#XojoAlerter {
	position: fixed;
	top: 0px;
	bottom: 0px;
	right: 0px;
	left: 0px;
	background-image: url(/framework/dimmer.png);
	font-family: Helvetica, sans-serif;
	text-shadow: 0px 1px 0px #000000;
	-webkit-transition: opacity 0.25s ease-out;
	display: none;
	opacity: 0;
}

#XojoAlerterDialog {
	position: absolute;
	width: 680px;
	overflow: visible;
	margin-left: -350px;
	margin-top: -200px;
	left: 50%;
	top: 50%;
	background-color: #000000;
	background: rgba(0,0,0,0.75);
	-webkit-border-radius: 10px;
	-moz-border-radius: 10px;
	-o-border-radius: 10px;
	-ms-border-radius: 10px;
	border-radius: 10px;
	-webkit-box-shadow: 0px 3px 8px rgba(0,0,0,0.5);
	-moz-box-shadow: 0px 3px 8px rgba(0,0,0,0.5);
	-o-box-shadow: 0px 3px 8px rgba(0,0,0,0.5);
	-ms-box-shadow: 0px 3px 8px rgba(0,0,0,0.5);
	box-shadow: 0px 3px 8px rgba(0,0,0,0.5);
	color: #FFFFFF;
	padding: 10px;
	display: block;
	-webkit-animation-name: pop;
	-webkit-animation-duration: 0.25s;
	-webkit-animation-iteration-count: 1;
	-webkit-animation-direction: normal;
}

#XojoAlerterDialog textarea {
	width: 668px;
	height: 120px;
	padding: 5px;
	border: 1px solid #000000;
	resize: none;
	margin: 0px;
	display: block;
}

.XojoErrorButton {
	color: #FFF;
	font-family: Verdana, Geneva, sans-serif;
	font-weight: bold;
	font-size: 10pt;
	font-style: normal;
	text-decoration: none;
	text-align: center;
	height: 30px;
	min-width: 80px;
	width:auto;
	border: 1px solid #000;
	vertical-align: middle;
	line-height: 28px;
	-webkit-border-radius: 8px;
	-moz-border-radius: 8px;
	border-radius: 8px;
	margin-left: 5px;
	padding: 0px 10px 0px 10px;
	cursor: pointer;
	/* Don't allow selections */
	-webkit-touch-callout: none;
	-webkit-user-select: none;
	-khtml-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

#XojoErrorSend {
	background-color: #E3CC67;
	text-shadow: 1px 1px 2px black;
	background-image: -ms-linear-gradient(top, #F3EE86 0%, #D4AD49 100%);
	background-image: -moz-linear-gradient(top, #F3EE86 0%, #D4AD49 100%);
	background-image: -webkit-gradient(linear, left top, left bottom, color-stop(0, #F3EE86), color-stop(1, #D4AD49));
	background-image: -webkit-linear-gradient(top, #F3EE86 0%, #D4AD49 100%);
	background-image: linear-gradient(to bottom, #F3EE86 0%, #D4AD49 100%);
	float:left;
}
#XojoErrorSend:active {
	background-color: #807339;
	text-shadow: 1px 1px 2px black;
	color:#999;
	background-image: -ms-linear-gradient(top, #79642B 0%, #88834A 100%);
	background-image: -moz-linear-gradient(top, #79642B 0%, #88834A 100%);
	background-image: -webkit-gradient(linear, left top, left bottom, color-stop(0, #79642B), color-stop(1, #88834A));
	background-image: -webkit-linear-gradient(top, #79642B 0%, #88834A 100%);
	background-image: linear-gradient(to bottom, #79642B 0%, #88834A 100%);
}

#XojoErrorDontSend {
	background-color: #464646;
	color: #FFF;
	text-shadow: 1px 1px 2px black;
	background-image: -ms-linear-gradient(top, #5E5E5E 0%, #292929 100%);
	background-image: -moz-linear-gradient(top, #5E5E5E 0%, #292929 100%);
	background-image: -webkit-gradient(linear, left top, left bottom, color-stop(0, #5E5E5E), color-stop(1, #292929));
	background-image: -webkit-linear-gradient(top, #5E5E5E 0%, #292929 100%);
	background-image: linear-gradient(to bottom, #5E5E5E 0%, #292929 100%);
	float:left;
}

#XojoErrorDontSend:active {
	background-color: #252525;
	color:#777;
	background-image: -ms-linear-gradient(top, #171717 0%, #303030 100%);
	background-image: -moz-linear-gradient(top, #171717 0%, #303030 100%);
	background-image: -webkit-gradient(linear, left top, left bottom, color-stop(0, #171717), color-stop(1, #303030));
	background-image: -webkit-linear-gradient(top, #171717 0%, #303030 100%);
	background-image: linear-gradient(to bottom, #171717 0%, #303030 100%);	
}

#nojs_mask {
	background-color: #000;
	opacity: 0.25;
	filter: alpha(opacity=25);
	z-index: 999;
	height: 100%;
	background-attachment: fixed;
	position: absolute;
	width: 100%;
	left: 0px;
	top: 0px;
}

#nojs_warning {
	font-family: Verdana, Geneva, sans-serif;
	font-size: 24px;
	color: #000;
	background-color: #FFF;
	text-align: left;
	border: 1px solid #000;
	vertical-align: middle;
	padding: 50px;
	position: absolute;
	left: 25%;
	top: 30%;
	width: 40%;
	z-index:10000;
}

#nojs_warning .explaintext {
	font-size: 18px;
}

@-webkit-keyframes pop {
	0% {
		-webkit-transform: scale(0.0);
	}
	80% {
		-webkit-transform: scale(1.1);
	}
	100% {
		-webkit-transform: scale(1.0);
	}
}

#XojoMenus {
	display: none;
	position: absolute;
	top: 0px;
	left: 0px;
	bottom: 0px;
	right: 0px;
}

ul.menu {
	margin: 0px;
	min-width: 125px;
	min-height: 40px;
	background-color: #FFFFFF;
	background: -webkit-gradient(linear, left top, left bottom, from(#FFFFFF), to(#F2F2F2));
	background: -moz-linear-gradient(top, #FFFFFF 0%, #F2F2F2 100%);
	border-radius: 5px;
	-webkit-border-radius: 5px;
	-moz-border-radius: 5px;
	padding: 5px;
	border: 2px solid #1B6ABA;
	position: absolute;
}

ul.menu li {
	list-style: none;
	margin: 0px;
	padding-left: 10px;
	padding-right: 10px;
	padding-bottom: 4px;
	padding-top: 4px;
	border-radius: 5px;
	-webkit-border-radius: 5px;
	-moz-border-radius: 5px;
	cursor: default;
	white-space: nowrap;
}

ul.menu li.item {
}

ul.menu li.disabled {
	color: #7F7F7F;
}

ul.menu li.separator {
	max-height: 8px;
	min-height: 8px;
}

ul.menu li span.submenu {
	padding-right: 20px;
	display: block;
	background-image: url(/framework/submenu-normal.png);
	background-position: right center;
	background-repeat: no-repeat;
}

ul.menu li:hover span.submenu {
	background-image: url(/framework/submenu-hover.png);
}

ul.menu li.item:hover {
	background-color: #1B6ABA;
	background: -webkit-gradient(linear, left top, left bottom, from(#3D81C7), to(#1B6ABA));
	background: -moz-linear-gradient(top, #3D81C7 0%, #1B6ABA 100%);
	color: #FFFFFF;
	text-shadow: 0px 1px 0px #124980;
}

img.pointer {
	background-image: url(/framework/pointer.png);
	position: absolute;
}

.disabled {
	opacity: 0.5;
	-moz-opacity: 0.5;
	filter:progid:DXImageTransform.Microsoft.Alpha(opacity=50);
	ms-filter:progid:DXImageTransform.Microsoft.Alpha(opacity=50);
}

.disabled p, .disabled a, .disabled .toolbar div.caption {
	color:#777777\9; /* \9 targets IE8 and lower */
}

#XojoAlerterSmall {
	position: fixed;
	top: 0px;
	bottom: 0px;
	right: 0px;
	left: 0px;
	font-family: Helvetica, sans-serif;
	display: visible;
	opacity: 0;
}

.unselectable {
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.selectable {
  -webkit-touch-callout: text;
  -webkit-user-select: text;
  -khtml-user-select: text;
  -moz-user-select: text;
  -ms-user-select: text;
  user-select: text;
  cursor: auto;
}

/* These styles are for the app being viewed as a website */
/* Portrait */
@media screen and (max-width: 320px) {
	#XojoAlerterSmallDialog {
		position: absolute;
		width: 300px;
		height:460px;
		left:0px;
		top:0px;
		overflow: visible;
		margin-left: 0px;
		margin-top: 0px;
		background-color: #000000;
		background: rgba(0,0,0,0.75);
		color: #FFFFFF;
		padding: 10px;
		display: block;
		-webkit-animation-name: pop;
		-webkit-animation-duration: 0.25s;
		-webkit-animation-iteration-count: 1;
		-webkit-animation-direction: normal;
	}

	#XojoAlerterSmallDialog textarea {
		width: 290px;
		height: 190px;
		padding: 5px;
		border: 1px solid #000000;
		resize: none;
		margin: 0px;
		display: block;
	}
}

/* Landscape */
@media screen and (min-width: 321px) {
	#XojoAlerterSmallDialog {
		position: absolute;
		width: 460px;
		height: 300px;
		left:0px;
		top:0px;
		overflow: visible;
		margin-left: 0px;
		margin-top: 0px;
		background-color: #000000;
		background: rgba(0,0,0,0.75);
		color: #FFFFFF;
		padding: 10px;
		display: block;
		-webkit-animation-name: pop;
		-webkit-animation-duration: 0.25s;
		-webkit-animation-iteration-count: 1;
		-webkit-animation-direction: normal;
	}

	#XojoAlerterSmallDialog textarea {
		width: 450px;
		height: 42px;
		padding: 5px;
		border: 1px solid #000000;
		resize: none;
		margin: 0px;
		display: block;
	}
}

/* CSS for high-resolution devices */
@media only screen and (-Webkit-min-device-pixel-ratio: 1.5),
only screen and (-moz-min-device-pixel-ratio: 1.5),
only screen and (-o-min-device-pixel-ratio: 3/2),
only screen and (min-device-pixel-ratio: 1.5) {
    #XojoLoaderIcon {
		background-image: url(/framework/appicon256.png);
		background-size: 128px 128px;
        background-repeat: no-repeat;
    }
    
    #XojoLoaderBar {
    	background-image: url(/framework/loadprogress@2x.png);
    	background-size: 170px 21px;
        background-repeat: no-repeat;
    }
    
	#XojoDisconnectIcon {
        background-image: url(/framework/pagestop@2x.png);
        background-size: 133px 133px;
        background-repeat: no-repeat;
    }

    ul.menu li span.submenu {
    	background-image: url(/framework/submenu-normal@2x.png);
    	background-size: 8px 16px;
        background-repeat: no-repeat;
    }
    
    ul.menu li:hover span.submenu {
		background-image: url(/framework/submenu-hover@2x.png);
		background-size: 8px 16px;
        background-repeat: no-repeat;
	}

	img.pointer {
		background-image: url(/framework/pointer@2x.png);
		background-size: 40px 40px;
        background-repeat: no-repeat;
	}
}

/* END: GLOBAL */

/* BEGIN: TEXTCONTROL */

.textcontrol
{
    background-color: rgb(255,255,255);
    padding: 3px;
    border-top: 1px solid rgba(182,182,182,1);
    border-bottom: 1px solid rgba(204,204,204,1);
    border-left: 1px solid rgba(182,182,182,1);
    border-right: 1px solid rgba(204,204,204,1);
    font-size: 10pt;
}

.textcontrol::-ms-clear
{
    width: 0;
    height: 0;
}

/* END: TEXTCONTROL */

/* BEGIN: SCROLLBAR */

div.scrollbar
{
	position: absolute;
	overflow: hidden;
	background-color: #EBEBEB;
    -webkit-tap-highlight-color: rgba(0,0,0,0);
}

div.scrollbar.vertical
{
	top: 0px;
	right: 0px;
	bottom: 15px;
	width: 14px;
	border-left: 1px solid #B6B6B6;
	background-image: -webkit-gradient(linear, left top, right top, from(#FCFCFC), to(#EBEBEB));
	background-image: -moz-linear-gradient(left, #FCFCFC, #EBEBEB);
	filter:progid:DXImageTransform.Microsoft.gradient(GradientType=1, startColorstr='#fcfcfc', endColorstr='#ebebeb');
}

div.scrollbar.horizontal
{
	left: 0px;
	right: 15px;
	bottom: 0px;
	height: 14px;
	border-top: 1px solid #B6B6B6;
	background-image: -webkit-gradient(linear, left top, left bottom, from(#FCFCFC), to(#EBEBEB));
	background-image: -moz-linear-gradient(top, #FCFCFC, #EBEBEB);
	filter:progid:DXImageTransform.Microsoft.gradient(startColorstr='#fcfcfc', endColorstr='#ebebeb');
}

div.scrollbar div.track
{
	position: absolute;
	background-color: #F8F8F8;
	border: 1px solid #B6B6B6;
	border-radius: 8px;
	-webkit-border-radius: 8px;
	-moz-border-radius: 8px;
	overflow: hidden;
}

div.scrollbar.vertical div.track
{
	top: 15px;
	right: -1px;
	bottom: 15px;
	left: -1px;
	background-image: -webkit-gradient(linear, left top, right top, from(#CACACA), to(#F2F2F2), color-stop(73%, #FCFCFC));
	background-image: -moz-linear-gradient(left, #CACACA, #FCFCFC 73%, #F2F2F2);
	filter:progid:DXImageTransform.Microsoft.gradient(GradientType=1,startColorstr='#cacaca', endColorstr='#f2f2f2');
}

div.scrollbar.horizontal div.track
{
	top: -1px;
	left: 15px;
	bottom: -1px;
	right: 15px;
	background-image: -webkit-gradient(linear, left top, left bottom, from(#CACACA), to(#F2F2F2), color-stop(73%, #FCFCFC));
	background-image: -moz-linear-gradient(top, #CACACA, #FCFCFC 73%, #F2F2F2);
	filter:progid:DXImageTransform.Microsoft.gradient(startColorstr='#cacaca', endColorstr='#f2f2f2');
}

div.scrollbar div.thumb
{
	position: absolute;
	background-color: #A9B8CB;
	border: 1px solid #6D7F97;
	border-radius: 7px;
	box-shadow: 0px 1px 2px rgba(0,0,0,0.25);
	-webkit-border-radius: 7px;
	-webkit-box-shadow: 0px 1px 2px rgba(0,0,0,0.25);
	-moz-border-radius: 7px;
	-moz-box-shadow: 0px 1px 2px rgba(0,0,0,0.25);
}

div.scrollbar.vertical div.thumb
{
	top: 0px;
	left: 0px;
	right: 0px;
	background-image: -webkit-gradient(linear, left top, right top, from(#A9B8CB), to(#7185A4));
	background-image: -moz-linear-gradient(left, #A9B8CB, #7185A4);
}

div.scrollbar.horizontal div.thumb
{
	left: 20px;
	top: 0px;
	bottom: 0px;
	background-image: -webkit-gradient(linear, left top, left bottom, from(#A9B8CB), to(#7185A4));
	background-image: -moz-linear-gradient(top, #A9B8CB, #7185A4);
}

div.scrollbar.vertical div.decrease
{
	position: absolute;
	top: 0px;
	height: 30px;
	width: 100%;
	background-image: url(/framework/up.png);
	background-repeat: no-repeat;
	background-position: -1px top;
}

div.scrollbar.vertical div.increase
{
	position: absolute;
	bottom: 0px;
	height: 30px;
	width: 100%;
	background-image: url(/framework/down.png);
	background-repeat: no-repeat;
	background-position: -1px bottom;
}

div.scrollbar.horizontal div.decrease
{
	position: absolute;
	left: 0px;
	width: 30px;
	height: 100%;
	background-image: url(/framework/left.png);
	background-repeat: no-repeat;
	background-position: left -1px;
}

div.scrollbar.horizontal div.increase
{
	position: absolute;
	right: 0px;
	width: 30px;
	height: 100%;
	background-image: url(/framework/right.png);
	background-repeat: no-repeat;
	background-position: right -1px;
}

div.scrollbar.vertical div.pressed
{
	background-color: #B8C5D9;
}

div.scrollbar.horizontal div.pressed
{
	background-color: #B8C5D9;
}

/* CSS for high-resolution devices */
@media only screen and (-Webkit-min-device-pixel-ratio: 1.5),
only screen and (-moz-min-device-pixel-ratio: 1.5),
only screen and (-o-min-device-pixel-ratio: 3/2),
only screen and (min-device-pixel-ratio: 1.5) {
	div.scrollbar.vertical div.decrease
	{
		background-image: url(/framework/up@2x.png);
		background-repeat: no-repeat;
		background-size: 15px 15px;
	}

	div.scrollbar.vertical div.increase
	{
		background-image: url(/framework/down@2x.png);
		background-repeat: no-repeat;
		background-size: 15px 15px;
	}

	div.scrollbar.horizontal div.decrease
	{
		background-image: url(/framework/left@2x.png);
		background-repeat: no-repeat;
		background-size: 15px 15px;
	}

	div.scrollbar.horizontal div.increase
	{
		background-image: url(/framework/right@2x.png);
		background-repeat: no-repeat;
		background-size: 15px 15px;
	}
}

/* END: SCROLLBAR */

/* BEGIN: SPINNER */

div.spinner
{
	background-repeat: no-repeat;
	background-position: 0px 0px;
	background-color: translucent;
}

div.spinner.large
{
	width: 32px;
	height: 32px;
	max-width: 32px;
	max-height: 32px;
	min-width: 32px;
	min-height: 32px;
}

div.spinner.small
{
	width: 16px;
	height: 16px;
	max-width: 16px;
	max-height: 16px;
	min-width: 16px;
	min-height: 16px;
}

div.spinner.large.black
{
	background-image: url(/framework/spinner-black-large.png);
}

div.spinner.large.white
{
	background-image: url(/framework/spinner-white-large.png);
}

div.spinner.small.black
{
	background-image: url(/framework/spinner-black-small.png);
}

div.spinner.small.white
{
	background-image: url(/framework/spinner-white-small.png);
}

/* CSS for high-resolution devices */
@media only screen and (-Webkit-min-device-pixel-ratio: 1.5),
only screen and (-moz-min-device-pixel-ratio: 1.5),
only screen and (-o-min-device-pixel-ratio: 3/2),
only screen and (min-device-pixel-ratio: 1.5) {
	div.spinner.large.black {
		background-image: url(/framework/spinner-black-large@2x.png);
		background-size: 384px 32px;
		background-repeat: no-repeat;
	}

	div.spinner.large.white {
		background-image: url(/framework/spinner-white-large@2x.png);
		background-size: 384px 32px;
		background-repeat: no-repeat;
	}
	
	div.spinner.small.black {
		background-image: url(/framework/spinner-black-small@2x.png);
		background-size: 192px 16px;
		background-repeat: no-repeat;
	}

	div.spinner.small.white {
		background-image: url(/framework/spinner-white-small@2x.png);
		background-size: 192px 16px;
		background-repeat: no-repeat;
	}
}

/* END: SPINNER */

/* BEGIN: UPLOADER */

div.uploader
{
	overflow: hidden;
	cursor: default;
    -webkit-tap-highlight-color: rgba(0,0,0,0);
}

div.uploader > div.buttons
{
	background-color: #EBEBEB;
	background-image: -webkit-gradient(linear, left top, left bottom, from(#FFFFFF), to(#EBEBEB));
	background-image: -moz-linear-gradient(top, #FFFFFF, #EBEBEB);
	filter:progid:DXImageTransform.Microsoft.gradient(startColorstr='#ffffff', endColorstr='#ebebeb');
	ms-filter: "progid:DXImageTransform.Microsoft.gradient(startColorstr='#ffffff', endColorstr='#ebebeb');";
	border-top: 1px solid #B6B6B6;
	position: absolute;
    left: 0px;
    right: 0px;
    bottom: 0px;
    height: 24px;
    width: 100%;
    cursor: default;
    padding: 0px;
}

div.uploader > div.buttons td
{
    padding: 0px;
}

div.uploader > div.buttons td.button
{
	border-right: 1px solid #B6B6B6;
    width: 30px;
}

div.uploader > div.buttons td.button.pressed
{
	background-color: #747474;
	background-image: -webkit-gradient(linear, left top, left bottom, from(#EBEBEB), to(#FFFFFF));
	background-image: -moz-linear-gradient(top, #EBEBEB, #FFFFFF);
	filter:progid:DXImageTransform.Microsoft.gradient(startColorstr='#ebebeb', endColorstr='#ffffff');
	ms-filter: "progid:DXImageTransform.Microsoft.gradient(startColorstr='#ebebeb', endColorstr='#ffffff');";
}

div.uploader > div.buttons td.button.active div
{
    opacity: 1;
	filter: alpha(opacity=100);
}

div.uploader > div.buttons td.button.inactive div
{
    opacity: 0.25;
	filter: alpha(opacity=25);
}

div.uploader > div.content
{
	position: absolute;
	left: 0px;
	right: 0px;
	bottom: 0px;
	top: 21px;
	overflow: hidden;
}

div.uploader td
{
	padding: 3px;
	overflow: hidden;
}

div.uploader table.rows
{
	position: relative;
	top: 0px;
	width: 100%;
	min-width: 100%;
	cursor: default;
}

div.uploader table.rows tr
{
	min-height: 22px;
}

div.uploader tr.selected td
{
	background-color: #3875D7;
	color: #FFFFFF;
}

div.uploader > div.overlay
{
	background-color: #FFFFFF;
	background-color: rgba(255,255,255,0.75);
	position: absolute;
	top: 0px;
	left: 0px;
	right: 0px;
	bottom: 0px;
	width: auto;
	height: auto;
	z-index: 1;
}

div.uploader > div.chooser
{
	position: absolute;
	left: 0px;
	bottom: 0px;
	width: 30px;
	height: 24px;
	overflow: hidden;
}

div.uploader > div.chooser > input[type=file]
{
	background-color: #FFFFFF;
	opacity: 0;
	filter: alpha(opacity=0);
	width: 100%;
	height: 100%;
}

div.uploader .UploaderAdd {
	background-image: url(/framework/UploaderAdd.png);
	display: inline-block;
	text-decoration: none;
	background-repeat: no-repeat;
	background-position: 0px 0px;
	width: 30px;
	height: 24px;
}

div.uploader .UploaderRemove {
	background-image: url(/framework/UploaderRemove.png);
	display: inline-block;
	text-decoration: none;
	background-repeat: no-repeat;
	background-position: 0px 0px;
	width: 30px;
	height: 24px;
}

/* CSS for high-resolution devices */
@media only screen and (-Webkit-min-device-pixel-ratio: 1.5),
only screen and (-moz-min-device-pixel-ratio: 1.5),
only screen and (-o-min-device-pixel-ratio: 3/2),
only screen and (min-device-pixel-ratio: 1.5) {
	div.uploader .UploaderAdd {
		background-image: url(/framework/UploaderAdd@2x.png);
		background-size: 30px 24px;
		background-repeat: no-repeat;
	}

	div.uploader .UploaderRemove {
		background-image: url(/framework/UploaderRemove@2x.png);
		background-size: 30px 24px;
		background-repeat: no-repeat;
	}
}

/* END: UPLOADER */

/* BEGIN: DIALOG */

div.sheet, div.modal
{
	position: fixed;
	top: 0px;
	left: 0px;
	right: 0px;
	bottom: 0px;
	background-image: url(/framework/dimmer.png);
	overflow: hidden;
}

div.sheet > div.body, div.modal > div.body
{
	background-color: rgb(255,255,255);
	position: absolute;
	box-shadow: 0px 5px 8px rgba(0,0,0,0.50);
	-webkit-box-shadow: 0px 5px 8px rgba(0,0,0,0.50);
	-moz-box-shadow: 0px 5px 8px rgba(0,0,0,0.50);
}

div.sheet > div.title, div.modal > div.title
{
	display: none;
}

div.sheet img.resize, div.modal img.resize, div.palette img.resize
{
	position: absolute;
	bottom: 0px;
	right: 0px;
	width: 15px;
	height: 15px;
}

div.palette
{
	position: absolute;
	box-shadow: 0px 5px 8px rgba(0,0,0,0.50);
	-webkit-box-shadow: 0px 5px 8px rgba(0,0,0,0.50);
	-moz-box-shadow: 0px 5px 8px rgba(0,0,0,0.50);
	background-color: #FFFFFF;
	border: 1px solid #959E99;
}

div.palette div.body
{
	position: absolute;
	top: 19px;
	left: 0px;
	right: 0px;
	bottom: 0px;
}

div.palette table.title
{
	position: absolute;
	top: 0px;
	left: 0px;
	right: 0px;
	height: 19px;
	width: 100%;
	text-align: center;
	background-image: -webkit-gradient(linear, left top, left bottom, from(#E6E7E9), to(#C1C4C9));
	background-image: -moz-linear-gradient(top, #E6E7E9, #C1C4C9);
	filter:progid:DXImageTransform.Microsoft.gradient(startColorstr='#e6e7e9', endColorstr='#c1c4c9');
	border-bottom: 1px solid #959E99;
	text-shadow: 0px 1px 0px #FFFFFF;
	cursor: default;
}

/* END: DIALOG */

/* BEGIN: LISTBOX */

div.listbox
{
	overflow: hidden;
	cursor: default;
    -webkit-tap-highlight-color: rgba(0,0,0,0);
}

div.listbox div.scrollbar.vertical
{
	border-bottom: 1px solid #B6B6B6;
	bottom: 14px;
}

div.listbox div.scrollbar.horizontal
{
	border-right: 1px solid #B6B6B6;
	right: 14px;
}

div.listbox > table
{
table-layout: fixed; 
}

div.listbox > table.headers
{
	background-color: #EBEBEB;
	background-image: -webkit-gradient(linear, left top, left bottom, from(#FFFFFF), to(#EBEBEB));
	background-image: -moz-linear-gradient(top, #FFFFFF, #EBEBEB);
	/*filter:progid:DXImageTransform.Microsoft.gradient(GradientType=0,startColorstr='#ffffff', endColorstr='#ebebeb'); IE7 BUG*/
	border-bottom: 1px solid #B6B6B6;
	position: relative;
	color: #000000;
	text-shadow: 0px 1px 0px #FFFFFF;
    cursor: default;
}

div.listbox > table.headers td
{
	border-right: 1px solid #B6B6B6;
}

div.listbox > table.headers td.padder
{
	min-width: 15px;
	border-width: 0px;
	padding: 0px;
}

div.listbox > div.content
{
	position: absolute;
	left: 0px;
	right: 0px;
	bottom: 0px;
	top: 21px;
	overflow: hidden;
}

div.listbox > div.corner
{
	background-color: #FFFFFF;
	display: none;
	position: absolute;
	bottom: 0px;
	right: 0px;
	width: 14px;
	height: 14px;
}

div.listbox td
{
	padding: 3px;
	overflow: hidden;
}

div.listbox table.rows
{
	position: relative;
	top: 0px;
	width: 100%;
	min-width: 100%;
	cursor: default;
}

div.listbox tr.selected td
{
	background-color: #3875D7;
	color: #FFFFFF;
}

/* END: LISTBOX */

/* BEGIN: PROGRESS */

div.progressbar
{
	position: absolute;
	overflow: hidden;
	background-color: transparent;
}

div.progressbar div.fill
{
	background-image: url(/framework/progress_fill.png);
	background-repeat: repeat-x;
	background-size: 74px 18px;
	overflow: hidden;
	position: absolute;
	left: 0px;
	width: 100px;
	top: 1px;
	bottom: 0px;
}

div.progressbar div.track
{
	background-image: url(/framework/progress_track.png);
	background-repeat: repeat-x;
	background-size: 74px 18px;
	overflow: hidden;
	position: absolute;
	right: 0px;
	width: 100px;
	top: 0px;
	bottom: 0px;
}

div.progressbar div.indeterminate
{
	background-image: url(/framework/progress_indeterminate.png);
	background-repeat: repeat-x;
	background-size: 74px 18px;
	overflow: hidden;
	position: absolute;
	left: 0px;
	width: 100px;
	top: 1px;
	bottom: 0px;
}

/* CSS for high-resolution devices */
@media only screen and (-Webkit-min-device-pixel-ratio: 1.5),
only screen and (-moz-min-device-pixel-ratio: 1.5),
only screen and (-o-min-device-pixel-ratio: 3/2),
only screen and (min-device-pixel-ratio: 1.5) {
	div.progressbar div.fill
	{
		background-image: url(/framework/progress_fill@2x.png);
	}

	div.progressbar div.track
	{
		background-image: url(/framework/progress_track@2x.png);
	}

	div.progressbar div.indeterminate
	{
		background-image: url(/framework/progress_indeterminate@2x.png);
	}
}

/* END: PROGRESS */

/* BEGIN: TOOLBAR */

.toolbar {
	width: 100%;
	height: 100%;
	background: -moz-linear-gradient(top,  rgba(255,255,255,1) 0%, rgba(204,204,204,1) 100%); /* FF3.6+ */
	background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(255,255,255,1)), color-stop(100%,rgba(204,204,204,1))); /* Chrome,Safari4+ */
	background: -webkit-linear-gradient(top,  rgba(255,255,255,1) 0%,rgba(204,204,204,1) 100%); /* Chrome10+,Safari5.1+ */
	background: -o-linear-gradient(top,  rgba(255,255,255,1) 0%,rgba(204,204,204,1) 100%); /* Opera 11.10+ */
	background: -ms-linear-gradient(top,  rgba(255,255,255,1) 0%,rgba(204,204,204,1) 100%); /* IE10+ */
	background: linear-gradient(to bottom,  rgba(255,255,255,1) 0%,rgba(204,204,204,1) 100%); /* W3C */
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#ffffff', endColorstr='#cccccc',GradientType=0 ); /* IE6-9 */
	border-bottom: 1px solid #7E7E7E;
	text-align: center;
	font-size: 11px;
	border-collapse: separate;
}

.toolbar .item.vertical {
	border-top: 1px solid transparent;
	border-bottom: 1px solid transparent;
}

.toolbar .item.horizontal {
	border-left: 1px solid transparent;
	border-right: 1px solid transparent;
	position:relative;
}

.toolbar .button:active {
	background-color: rgba(0,0,0,0.35);
}

.toolbar .buttonDisabled {
	opacity: 0.5;
	filter: alpha(opacity=50);
}

.toolbar .toggled {
	background-color: rgba(0,0,0,0.15);
}

.toolbar .toggled.vertical {
	border-top: 1px solid rgba(0,0,0,0.35);
	border-bottom: 1px solid rgba(0,0,0,0.35);
}

.toolbar .toggled.horizontal {
	border-left: 1px solid rgba(0,0,0,0.35);
	border-right: 1px solid rgba(0,0,0,0.35);
}

.toolbar .toggledDisabled {
	background-color: rgba(0,0,0,0.15);
	opacity: 0.5;
	filter: alpha(opacity=50);
}

.toolbar .toggledDisabled.vertical {
	border-top: 1px solid rgba(0,0,0,0.35);
	border-bottom: 1px solid rgba(0,0,0,0.35);
}

.toolbar .toggledDisabled.horizontal {
	border-left: 1px solid rgba(0,0,0,0.35);
	border-right: 1px solid rgba(0,0,0,0.35);
}

.toolbar .toggled:active {
	background-color: rgba(0,0,0,0.65);
	color: #FFFFFF;
}

.toolbar .toggled.vertical:active {
	border-top: 1px solid rgba(0,0,0,0.85);
	border-bottom: 1px solid rgba(0,0,0,0.85);
}

.toolbar .toggled.horizontal:active {
	border-left: 1px solid rgba(0,0,0,0.85);
	border-right: 1px solid rgba(0,0,0,0.85);
}

.toolbar .item .caption {
	padding-left: 8px;
	padding-right: 8px;
	white-space: nowrap;
	filter:alpha(opacity=95); /* To combat the aliasing problem on IE */
}

.toolbar .toggled > img, .toolbar .button > img, .toolbar .toggledDisabled > img, .toolbar.buttonDisabled > img {
	margin-left: 8px;
	margin-right: 8px;
}

/* END: TOOLBAR */

body {
font-family: Helvetica, sans-serif;
font-size: 10pt;
}
.StyleTextCenterSmall {
font-size: 90% !important;
text-align: center !important;
}
.StyleDateSelected {
font-size: 90% !important;
text-align: center !important;
color: rgb(255,255,255) !important;
background-color: rgb(0,216,0) !important;
background-image: none !important;
}
.stMenuLabelSelected {
font-weight: bold !important;
font-style: normal !important;
text-decoration: none !important;
font-size: 20px !important;
text-align: center !important;
color: rgb(102,0,102) !important;
}
.stMenuLabelSelected:hover {
color: rgb(102,0,102) !important;
}
.stMenuLabel {
font-weight: bold !important;
font-style: normal !important;
text-decoration: none !important;
font-size: 20px !important;
text-align: center !important;
color: rgb(0,119,51) !important;
}
.stMenuLabel:hover {
color: rgb(102,0,102) !important;
}
.stContentBox {
border-top: 1px solid rgb(182,182,182) !important;
border-left: 1px solid rgb(182,182,182) !important;
border-bottom: 1px solid rgb(182,182,182) !important;
border-right: 1px solid rgb(182,182,182) !important;
-webkit-border-top-left-radius: 10px !important;
-webkit-border-bottom-left-radius: 10px !important;
-webkit-border-bottom-right-radius: 10px !important;
-webkit-border-top-right-radius: 10px !important;
}
.stMenuSeparators {
border-top: 1px solid rgb(182,182,182) !important;
border-bottom: 1px solid rgb(182,182,182) !important;
}
.stDefaults {
font-family: "Helvetica", "Arial", sans-serif !important;
font-size: 14px !important;
color: rgb(0,119,51) !important;
}
.stSectionHeader {
font-weight: normal !important;
font-style: normal !important;
text-decoration: none !important;
font-size: 24px !important;
color: rgb(102,0,102) !important;
}
.stFormFieldLabel {
font-weight: bold !important;
font-style: normal !important;
text-decoration: none !important;
}
.stFormFields {
color: rgb(0,119,51) !important;
}
.stSmallLabel {
font-size: 12px !important;
}
.stSmallLabelLink {
font-size: 12px !important;
text-align: center !important;
border-top: 1px solid rgb(0,119,51) !important;
border-left: 1px solid rgb(0,119,51) !important;
border-bottom: 1px solid rgb(0,119,51) !important;
border-right: 1px solid rgb(0,119,51) !important;
-webkit-border-top-left-radius: 5px !important;
-webkit-border-bottom-left-radius: 5px !important;
-webkit-border-bottom-right-radius: 5px !important;
-webkit-border-top-right-radius: 5px !important;
}
.stSmallLabelLink:hover {
color: rgb(102,0,102) !important;
border-top: 1px solid rgb(102,0,102) !important;
border-left: 1px solid rgb(102,0,102) !important;
border-bottom: 1px solid rgb(102,0,102) !important;
border-right: 1px solid rgb(102,0,102) !important;
}
.stCriticalMessage {
color: rgb(255,0,0) !important;
}
.stCVVLabel {
font-weight: bold !important;
font-style: normal !important;
text-decoration: none !important;
font-size: 10px !important;
}
.stHamburgerMenu {
font-family: "Helvetica", sans-serif !important;
text-align: center !important;
border-top: 0px none rgb(255,255,255) !important;
border-left: 0px solid rgb(255,255,255) !important;
border-bottom: 0px none rgb(255,255,255) !important;
border-right: 0px none rgb(255,255,255) !important;
padding-top: -15px !important;
padding-left: -15px !important;
background-color: rgb(255,255,255) !important;
background-image: none !important;
}
.stPhoneContactFormLabel {
font-weight: bold !important;
font-style: normal !important;
text-decoration: none !important;
font-size: 15px !important;
text-align: left !important;
color: rgb(17,73,146) !important;
}
.stPhoneBaseStyle {
background-color: rgb(255,255,255) !important;
background-image: none !important;
}